FinishApplicationMasterRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: FinishApplicationMasterRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class FinishApplicationMasterRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest

@Public @Stable public abstract class FinishApplicationMasterRequest extends Object
The finalization request sent by the `ApplicationMaster` to inform the `ResourceManager` about its completion.

The final request includes details such:

- Final state of the `ApplicationMaster`
- Diagnostic information in case of failure of the `ApplicationMaster`
- Tracking URL

See Also:
  - `ApplicationMasterProtocol.finishApplicationMaster(FinishApplicationMasterRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FinishApplicationMasterRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getDiagnostics()`
  Get diagnostic information on application failure.
  `abstract FinalApplicationStatus`
  `getFinalApplicationStatus()`
  Get final state of the `ApplicationMaster`.
  `abstract String`
  `getTrackingUrl()`
  Get the tracking URL for the `ApplicationMaster`.
  `static FinishApplicationMasterRequest`
  `newInstance(FinalApplicationStatus finalAppStatus, String diagnostics, String url)`
  `abstract void`
  `setDiagnostics(String diagnostics)`
  Set diagnostic information on application failure.
  `abstract void`
  `setFinalApplicationStatus(FinalApplicationStatus finalState)`
  Set the final state of the `ApplicationMaster`
  `abstract void`
  `setTrackingUrl(String url)`
  Set the final tracking URLfor the `ApplicationMaster`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FinishApplicationMasterRequest

    public FinishApplicationMasterRequest()

- ## Method Details

  - ### newInstance

    @Public @Stable public static FinishApplicationMasterRequest newInstance(FinalApplicationStatus finalAppStatus, String diagnostics, String url)

  - ### getFinalApplicationStatus

    @Public @Stable public abstract FinalApplicationStatus getFinalApplicationStatus()
    Get final state of the `ApplicationMaster`.
    Returns:
      final state of the `ApplicationMaster`

  - ### setFinalApplicationStatus

    @Public @Stable public abstract void setFinalApplicationStatus(FinalApplicationStatus finalState)
    Set the final state of the `ApplicationMaster`
    Parameters:
      `finalState` - final state of the `ApplicationMaster`

  - ### getDiagnostics

    @Public @Stable public abstract String getDiagnostics()
    Get diagnostic information on application failure.
    Returns:
      diagnostic information on application failure

  - ### setDiagnostics

    @Public @Stable public abstract void setDiagnostics(String diagnostics)
    Set diagnostic information on application failure.
    Parameters:
      `diagnostics` - diagnostic information on application failure

  - ### getTrackingUrl

    @Public @Stable public abstract String getTrackingUrl()
    Get the tracking URL for the `ApplicationMaster`. This url if contains scheme then that will be used by resource manager web application proxy otherwise it will default to http.
    Returns:
      tracking URLfor the `ApplicationMaster`

  - ### setTrackingUrl

    @Public @Stable public abstract void setTrackingUrl(String url)
    Set the final tracking URLfor the `ApplicationMaster`. This is the web-URL to which ResourceManager or web-application proxy will redirect client/users once the application is finished and the `ApplicationMaster` is gone.

    If the passed url has a scheme then that will be used by the ResourceManager and web-application proxy, otherwise the scheme will default to http.

    Empty, null, "N/A" strings are all valid besides a real URL. In case an url isn't explicitly passed, it defaults to "N/A" on the ResourceManager.

    Parameters:
      `url` - tracking URLfor the `ApplicationMaster`